org.eclipse.rdf4j.sail.helpers

## Class NotifyingSailConnectionWrapper

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.SailConnectionWrapper
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionWrapper

- All Implemented Interfaces:
    AutoCloseable, FederatedServiceResolverClient, NotifyingSailConnection, SailConnection
  Direct Known Subclasses:
    InferencerConnectionWrapper, LuceneSailConnection, LuceneSpinSailConnection, ShaclSailConnection

      public class NotifyingSailConnectionWrapper
      extends SailConnectionWrapper
      implements NotifyingSailConnection

  An implementation of the `NotifyingSailConnection` interface that wraps another `NotifyingSailConnection` object and forwards any method calls to the wrapped transaction.
  Author:
    Jeen Broekstra

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotifyingSailConnectionWrapper(NotifyingSailConnection wrappedCon)` Creates a new `NotifyingSailConnectionWrapper` object that wraps the supplied connection.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionListener(SailConnectionListener listener)` Adds the given listener to the wrapped connection.
    `NotifyingSailConnection` | `getWrappedConnection()` Gets the connection that is wrapped by this object.
    `void` | `removeConnectionListener(SailConnectionListener listener)` Removes the given listener from the wrapped connection.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.SailConnectionWrapper

      `addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, explain, flush, getContextIDs, getNamespace, getNamespaces, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, rollback, setFederatedServiceResolver, setNamespace, setTransactionSettings, size, size, startUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, explain, flush, getContextIDs, getNamespace, getNamespaces, getStatements, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatement, removeStatements, removeStatements, rollback, setNamespace, setTransactionSettings, size, startUpdate`

- - ### Constructor Detail

    - #### NotifyingSailConnectionWrapper

          public NotifyingSailConnectionWrapper(NotifyingSailConnection wrappedCon)

      Creates a new `NotifyingSailConnectionWrapper` object that wraps the supplied connection.

  - ### Method Detail

    - #### getWrappedConnection

          public NotifyingSailConnection getWrappedConnection()

      Description copied from class: `SailConnectionWrapper`
      Gets the connection that is wrapped by this object.
      Overrides:
        `getWrappedConnection` in class `SailConnectionWrapper`
      Returns:
        The SailConnection object that was supplied to the constructor of this class.

    - #### addConnectionListener

          public void addConnectionListener(SailConnectionListener listener)

      Adds the given listener to the wrapped connection.
      Specified by:
        `addConnectionListener` in interface `NotifyingSailConnection`
      Parameters:
        `listener` - A SailConnectionListener.

    - #### removeConnectionListener

          public void removeConnectionListener(SailConnectionListener listener)

      Removes the given listener from the wrapped connection.
      Specified by:
        `removeConnectionListener` in interface `NotifyingSailConnection`
      Parameters:
        `listener` - A SailConnectionListener.

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.